/[gentoo-x86]/dev-python/PyQt4/ChangeLog
Gentoo

Diff of /dev-python/PyQt4/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.237 Revision 1.281
1# ChangeLog for dev-python/PyQt4 1# ChangeLog for dev-python/PyQt4
2# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.237 2013/09/10 05:19:12 maekke Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.281 2015/02/14 14:38:09 ago Exp $
4
5 14 Feb 2015; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
6 Stable for x86, wrt bug #517344
7
8 09 Jan 2015; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.3.ebuild:
9 Stop using deprecated python_parallel_foreach_impl.
10
11 31 Dec 2014; Michael Palimaka <kensington@gentoo.org> PyQt4-4.10.3-r2.ebuild,
12 PyQt4-4.11.1.ebuild, PyQt4-4.11.2.ebuild:
13 Enforce USE dependency for media-libs/phonon.
14
15 10 Dec 2014; Mikle Kolyada <zlogene@gentoo.org> PyQt4-4.11.1.ebuild:
16 amd64 stable wrt bug #517344
17
18 22 Nov 2014; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.11.1.ebuild:
19 Stable on alpha, bug 523322
20
21*PyQt4-4.11.3 (15 Nov 2014)
22
23 15 Nov 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.3.ebuild,
24 -PyQt4-4.11.3_pre20141024.ebuild:
25 Version bump.
26
27*PyQt4-4.11.3_pre20141024 (01 Nov 2014)
28
29 01 Nov 2014; Davide Pesavento <pesa@gentoo.org>
30 +PyQt4-4.11.3_pre20141024.ebuild, -PyQt4-4.11.2-r1.ebuild:
31 Bump to 4.11.3 prerelease, which contains upstream fixes for bugs #525392 and
32 #525470. Also switch to out-of-source builds.
33
34 15 Oct 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.2-r1.ebuild:
35 Fix bug #525392.
36
37 14 Oct 2014; Davide Pesavento <pesa@gentoo.org>
38 +files/PyQt4-4.11.2-phonon.patch, PyQt4-4.11.2-r1.ebuild:
39 Fix building against media-libs/phonon (bug 525354).
40
41*PyQt4-4.11.2-r1 (13 Oct 2014)
42
43 13 Oct 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.2-r1.ebuild,
44 metadata.xml:
45 Switch to new upstream build system. Introduce USE=testlib to decouple QtTest
46 from QtGui.
47
48 09 Oct 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.1.ebuild:
49 Revert to ~amd64, see bug #523322 comment #4.
50
51 09 Oct 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
52 Stable for amd64, wrt bug #523322
53
54 04 Oct 2014; Markus Meier <maekke@gentoo.org> PyQt4-4.11.1.ebuild:
55 arm stable, bug #523322
56
57*PyQt4-4.11.2 (20 Sep 2014)
58
59 20 Sep 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.2.ebuild,
60 PyQt4-4.11.1.ebuild:
61 Version bump. Silence harmless repoman warning.
62
63 13 Sep 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.1.ebuild:
64 Drop deprecated python versions.
65
66 13 Sep 2014; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.3-r3.ebuild,
67 PyQt4-4.11.1.ebuild:
68 Stop using dohtml, remove old.
69
70 17 Jul 2014; Michael Palimaka <kensington@gentoo.org> -PyQt4-4.11.ebuild:
71 Remove old.
72
73*PyQt4-4.11.1 (15 Jul 2014)
74
75 15 Jul 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.1.ebuild,
76 PyQt4-4.11.ebuild:
77 Version bump.
78
79 20 Jun 2014; Ian Delaney <idella4@gentoo.org> PyQt4-4.10.3-r3.ebuild,
80 PyQt4-4.11.ebuild:
81 add py3.4 support req'd to support py packages such as pandas
82
83 30 May 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.3-r2.ebuild,
84 PyQt4-4.10.3-r3.ebuild:
85 Restrict sip dep to =4.15* for older PyQt4 versions.
86
87*PyQt4-4.11 (30 May 2014)
88
89 30 May 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.ebuild:
90 Version bump.
91
92 21 May 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.3-r2.ebuild,
93 PyQt4-4.10.3-r3.ebuild, metadata.xml:
94 Update pypi identifier in HOMEPAGE and <upstream> metadata tag. Thanks to
95 Martin Walch in bug 510812.
96
97 19 May 2014; Michał Górny <mgorny@gentoo.org> -PyQt4-4.10.2.ebuild,
98 -PyQt4-4.10.3.ebuild:
99 Drop the old versions that required python-exec:0.
100
101 02 Apr 2014; Michael Palimaka <kensington@gentoo.org> metadata.xml:
102 Remove python herd as discussed with them.
103
104*PyQt4-4.10.3-r3 (27 Mar 2014)
105
106 27 Mar 2014; Michał Górny <mgorny@gentoo.org> +PyQt4-4.10.3-r3.ebuild:
107 Replace manual Python wrapping with proper eclass functions, bug #484404.
108
109 23 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
110 Stable for sparc, wrt bug #495638
111
112 23 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
113 Stable for x86, wrt bug #495638
114
115 19 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
116 Stable for alpha, wrt bug #495638
117
118 18 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
119 Stable for ia64, wrt bug #495638
120
121 14 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
122 Stable for ppc64, wrt bug #495638
123
124 08 Mar 2014; Pacho Ramos <pacho@gentoo.org> PyQt4-4.10.3-r2.ebuild:
125 amd64 stable, bug 495638
126
127 02 Feb 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
128 Stable for ppc, wrt bug #495638
129
130 30 Jan 2014; Markus Meier <maekke@gentoo.org> PyQt4-4.10.3-r2.ebuild:
131 arm stable, bug #495638
132
133 28 Dec 2013; Steve Arnold <nerdboy@gentoo.org>
134 files/PyQt4-4.7.3-qreal_float_support.patch:
135 Updated qreal_float patch to remove first hunk (already applied
136 upstream). Tested on arm chromebook; no existing bug.
137
138*PyQt4-4.10.3-r2 (25 Dec 2013)
139
140 25 Dec 2013; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.10.3-r2.ebuild,
141 -PyQt4-4.10.3-r1.ebuild, metadata.xml:
142 Introduce USE="designer".
143
144 25 Dec 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.6-r2.ebuild:
145 old
146
147 23 Dec 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
148 Stable for sparc, wrt bug #483112
149
150 31 Oct 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.2.ebuild,
151 PyQt4-4.10.3-r1.ebuild, PyQt4-4.10.3.ebuild, PyQt4-4.9.6-r2.ebuild:
152 Update the ebuilds to dep on dev-lang/python-exec.
153
154 23 Oct 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.1.ebuild:
155 old
156
157*PyQt4-4.10.3-r1 (23 Oct 2013)
158
159 23 Oct 2013; Michał Górny <mgorny@gentoo.org> +PyQt4-4.10.3-r1.ebuild:
160 Support python-exec:2.
161
162 19 Sep 2013; Ben de Groot <yngwin@gentoo.org> PyQt4-4.10.3.ebuild:
163 Depend on sip >=4.15.0 to fix build failure (bug #485274)
164
165 17 Sep 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.1.ebuild,
166 PyQt4-4.10.2.ebuild, PyQt4-4.10.3.ebuild, PyQt4-4.9.6-r2.ebuild:
167 Add explicit dep on python-exec:0 since the package wraps the script manually.
168
169*PyQt4-4.10.3 (17 Sep 2013)
170
171 17 Sep 2013; Ben de Groot <yngwin@gentoo.org> +PyQt4-4.10.3.ebuild:
172 Version bump
173
174 13 Sep 2013; Jonathan Callen <jcallen@gentoo.org> PyQt4-4.10.1.ebuild,
175 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
176 Add missing [${PYTHON_USEDEP}] on dbus-python DEPEND
4 177
5 10 Sep 2013; Markus Meier <maekke@gentoo.org> PyQt4-4.10.2.ebuild: 178 10 Sep 2013; Markus Meier <maekke@gentoo.org> PyQt4-4.10.2.ebuild:
6 arm stable, bug #483112 179 arm stable, bug #483112
7 180
8 05 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild: 181 05 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:

Legend:
Removed from v.1.237  
changed lines
  Added in v.1.281

  ViewVC Help
Powered by ViewVC 1.1.20